summaryrefslogtreecommitdiff
path: root/tests/cp/deref-slink
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-12-31 09:15:44 +0000
committerJim Meyering <jim@meyering.net>2000-12-31 09:15:44 +0000
commitdd9804a4feddd91896a1168b7ba4ea0707159fc7 (patch)
tree77c6d64ef6b116f88c50af240b1492b87e3910d1 /tests/cp/deref-slink
parentf0018a3b9c7e6cef9bc0af1394e2e016c5902e4e (diff)
downloadcoreutils-dd9804a4feddd91896a1168b7ba4ea0707159fc7.tar.xz
New file. Test for the bug fixed by my 2000-12-28 change to copy.c.
Diffstat (limited to 'tests/cp/deref-slink')
-rwxr-xr-xtests/cp/deref-slink32
1 files changed, 32 insertions, 0 deletions
diff --git a/tests/cp/deref-slink b/tests/cp/deref-slink
new file mode 100755
index 000000000..8874e64ca
--- /dev/null
+++ b/tests/cp/deref-slink
@@ -0,0 +1,32 @@
+#!/bin/sh
+# Demonstrate bug when using -d with an existing destination file
+# that is a symlink.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ cp --version
+fi
+
+. $srcdir/../envvar-check
+. $srcdir/../lang-default
+
+pwd=`pwd`
+tmp=FIXME.$$
+trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+touch f slink-target || framework_failure=1
+ln -s slink-target slink || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework' 1>&2
+ (exit 1); exit
+fi
+
+fail=0
+cp -d f slink || fail=1
+
+(exit $fail); exit